package com.pqs9000.mapper.report;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.pqs9000.pojo.report.Condition;
import com.pqs9000.pojo.report.ReportValue;

public interface GetICurrentMapper {
    List<Map<String, Object>> getICurrent(@Param("condition") Condition condition, @Param("listValue") List<Integer> list);

    List<Map<String, Object>> getHICurrent(@Param("condition") Condition condition);

    ReportValue VsideValue(@Param("condition") Condition condition);
    
    ReportValue InsideValue(@Param("condition") Condition condition);

    ReportValue PsideValue(@Param("condition") Condition condition);

    ReportValue QsideValue(@Param("condition") Condition condition);

    List<Map<String, Object>> getIMaxLimit(@Param("condition") Condition condition, @Param("number")List<String> number);
}
